Loading...
Searching...
No Matches
ISkinnedMesh.h File Reference
`#include "irrArray.h"`
`#include "IBoneSceneNode.h"`
`#include "IAnimatedMesh.h"`
`#include "SSkinMeshBuffer.h"`

Go to the source code of this file.

## Classes

class | irr::scene::ISkinnedMesh
| Interface for using some special functions of Skinned meshes. More...
struct | irr::scene::ISkinnedMesh::SJoint
| Joints. More...
struct | irr::scene::ISkinnedMesh::SPositionKey
| Animation keyframe which describes a new position. More...
struct | irr::scene::ISkinnedMesh::SRotationKey
| Animation keyframe which describes a new rotation. More...
struct | irr::scene::ISkinnedMesh::SScaleKey
| Animation keyframe which describes a new scale. More...
struct | irr::scene::ISkinnedMesh::SWeight
| A vertex weight. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::scene
| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

enum | irr::scene::E_INTERPOLATION_MODE { irr::scene::EIM_CONSTANT = 0 , irr::scene::EIM_LINEAR , irr::scene::EIM_COUNT }

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0